Page MenuHomePhabricator

Run subset of Wikidata browsertests on every commit on Gerrit.
Closed, DeclinedPublic

Description

Run browsertests for wikidata from gerrit. Because they take too long it may be needed to be able to run some of it in parallel, which is said to currently produce failures.
It might also be helpful to only start the job on gate, but not delay submitting for it.

Details

Reference
bz73364

Related Objects

StatusSubtypeAssignedTask
Resolved Jonas
Resolvedzeljkofilipin
Resolvedzeljkofilipin
ResolvedNone
Resolvedzeljkofilipin
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
Resolved hashar
ResolvedNone
Resolved hashar
Resolved hashar
DeclinedNone
ResolvedNone
DeclinedNone
Declined hashar
DeclinedNone
Resolveddduvall
Resolveddduvall
OpenNone
ResolvedLegoktm
ResolvedJhernandez
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
Duplicatephuedx
ResolvedJdlrobson
ResolvedJdlrobson
DuplicateNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
DeclinedNone
InvalidNone
Resolvedbmansurov
Resolved rmoen
Resolved rmoen
OpenNone
Resolvedbmansurov
OpenNone
Resolvedzeljkofilipin
ResolvedJdlrobson
ResolvedJdlrobson
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
ResolvedNone
Resolved hashar
DeclinedNone

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:54 AM
bzimport set Reference to bz73364.
bzimport added a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Tobi_WMDE_SW renamed this task from run browsertests for wikidata from gerrit to Run subset of Wikidata browsertests on every commit on Gerrit..Feb 4 2015, 3:09 PM
Tobi_WMDE_SW lowered the priority of this task from Medium to Low.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW added a subscriber: WMDE-Fisch.
hashar closed this task as Declined.Mar 24 2015, 2:50 PM
hashar claimed this task.
hashar added a subscriber: hashar.

We do not have the capacity yet to had browser tests on patchset proposals. The VE (T55691) and ULS (T54120) jobs have been removed because they were too slow and ill conceived.

We will revisit it when we have improved the browser test speed (ex: T92613: It takes about 20 seconds just to start a Sauce Labs browser) and most importantly the CI isolation project which will provide us fresh VM to install all of what we need ensuring a clean environment.

I guess when we are ready we will poke the parent task T55697: [EPIC] trigger browser tests from Gerrit (tracking).